package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetSpecifiedDataFieldFromIColl.class */
public class GetSpecifiedDataFieldFromIColl extends LifeAction {
    private String sourceIColl;
    private String iCollField;
    private String conditionField;
    private List dataFieldList = new LinkedList();
    private List targetDataFieldList = new LinkedList();

    public String execute(Context context) throws GENEException {
        IndexedCollection iColl = (IndexedCollection) context.get(this.sourceIColl);
        String condition = (String) context.getDataValue(this.conditionField);
        for (int i = 0; i < iColl.size(); i++) {
            KeyedCollection kColl = iColl.getElementAt(i);
            if (condition.equals((String) kColl.getDataValue(this.iCollField))) {
                Iterator targetIt = this.targetDataFieldList.iterator();
                for (String fieldName1 : this.dataFieldList) {
                    String fieldName2 = (String) targetIt.next();
                    try {
                        context.setDataValue(fieldName2, kColl.getDataValue(fieldName1));
                    } catch (Exception unused) {
                        throw new TranFailException("与集合目标数据不符", false);
                    }
                }
            }
        }
        return "0";
    }

    public String getSourceIColl() {
        return this.sourceIColl;
    }

    public void setSourceIColl(String sourceIColl) {
        this.sourceIColl = sourceIColl;
    }

    public void setDataFieldValues(String dataFieldValues) {
        StringTokenizer toke = new StringTokenizer(dataFieldValues, "||");
        while (toke.hasMoreElements()) {
            String fieldName = ((String) toke.nextElement()).trim();
            this.dataFieldList.add(fieldName);
        }
    }

    public void setTargetDataFieldValues(String dataFieldValues) {
        StringTokenizer toke = new StringTokenizer(dataFieldValues, "||");
        while (toke.hasMoreElements()) {
            String fieldName = ((String) toke.nextElement()).trim();
            this.targetDataFieldList.add(fieldName);
        }
    }

    public String getConditionField() {
        return this.conditionField;
    }

    public void setConditionField(String conditionField) {
        this.conditionField = conditionField;
    }

    public String getICollField() {
        return this.iCollField;
    }

    public void setICollField(String collField) {
        this.iCollField = collField;
    }
}
